Got my first ESP32 yesterday and cannot manage to get FastLED working properly.

Got my first ESP32 yesterday and cannot manage to get FastLED working properly.

Compiling my sketch I always get something like

C:\Program Files (x86)\Arduino\libraries\FastLED-3.1.0/led_sysdefs.h:22:2: error: #error “XTENSA-architecture microcontrollers are not supported.”

#error “XTENSA-architecture microcontrollers are not supported.”

So what’s the secret?
Have seen ESP32 driving an WS2812 on youtube…

Use another library.

Got it up and running now. FastLED has different branches as the ESP32 wasn’t supported initially. It’s already tracked and there’s another branch working as well as a workaround to get it up and compiling :wink:

@Michael_Weber the best FastLED support is here


Wow, didn’t notice they’ve got their own group :wink:
Thanks!

[for anyone searching and wondering where the FastLED G+ group went after G+ shut down…]
FastLED now has a place on Reddit.
https://www.reddit.com/r/FastLED/

@marmil …and I expect to import FastLED content here. There are almost 6500 posts and I haven’t looked for spam yet, but I have archived the content as of today. :slight_smile:

1 Like

MUCH appreciated, thank you!

1 Like